Subject: Re: bug#63711: 30.0.50; Crash in xdisp.c when it->string is 0x0
From: Thomas Fitzsimmons <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Thu, 03 Aug 2023 13:40:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Eli,
 
Thomas Fitzsimmons <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes: 
> 
>>> Cc: [email-masked] Date: Thu, 25 May 2023 18:54:13 
>>> +0300 From: Eli Zaretskii <[email-masked]>  
>>> > >   (gdb) p first_row_to_display->y 
>>> >  $24 = 701  
>>> > >   (gdb) p window_text_bottom_y(w) 
>>> >  $25 = 701 
>>>  And this also tells us that we are using the wrong glyph row, 
>>> I think: its Y coordinate is outside of the visible text area. 
>>> I think I understand the problem.  Let me think about a 
>>> solution. 
>> 
>> I installed a fix on the emacs-29 branch, let's hope it fixes 
>> this. 
> 
> Thank you; I'm running a "-g -O0" build of emacs-29 tip now, 
> with GDB attached.  I'll follow up in a month to confirm 
> success, provided there are no issues in the meantime. 

I haven't seen this particular crash in over a month, after having 
applied your patch; whereas before your patch I saw it at least 
twice, so it seems your patch fixed the issue.  I'm closing this 
bug report.

Thanks!
Thomas